{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function scroll_enable\r\n$insert rds_equ\r\n\r\nData = field( CreateParam, char(245), 1 )\r\nSuplInst = field( CreateParam, char(245), 2 )\r\n.suppl_inst->text = SuplInst\r\nControls = 'ENTRY_ID/ENTRY_DATE/ENTRY_TIME/OP_SIG/OP_SIG_DATE/OP_SIG_TIME/ENTRY_NAME/OP_SIG_NAME'\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\n\r\nData<7> = oconv( Data<1>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\nData<8> = oconv( Data<4>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\nConvert @fm to @rm in Data\r\nvoid = set_property( Controls, 'TEXT', Data )\r\nVoid = set_property( @window, '@Controls', Controls )\r\nif .entry_id->text = @user4 then\r\n   * LEAVE THE SUPPLEMENT INSTRUCTIONS ENABLED\r\n   .save->enabled = 1\r\nend else\r\n   Void = scroll_enable( @window:'.SUPPL_INST', '' )\r\n   .save->enabled = 0\r\nend\r\nRETURN 1\r\n"
        }
    }
}